Page MenuHomePhabricator

[llvm][TextAPI] adding inlining reexported libraries support
ClosedPublic

Authored by cishida on Sep 16 2019, 7:31 PM.

Details

Summary

[llvm][TextAPI] adding inlining reexported libraries support

  • this patch adds reader/writer support for MachO tbd files.

The usecase is to represent reexported libraries in top level library
that won't need to exist for linker indirection because all of the
needed content will be inlined in the same document.

Diff Detail

Event Timeline

cishida created this revision.Sep 16 2019, 7:31 PM

Does nm print now all symbols - including the inlined ones? That would be an unexpected change, because we don't do the same for MachOs that have re-exported frameworks. I think this feature should be guarded by an option.

cishida updated this revision to Diff 254028.Mar 31 2020, 3:51 PM

Updating this patch to just create inlining framework support, and I will attach lib/Object & nm support in a seperate patch

cishida retitled this revision from [TextAPI] Add Multiple Document Support to TBDv3 to [llvm][TextAPI] adding inlining reexported libraries support.Mar 31 2020, 11:47 PM
cishida edited the summary of this revision. (Show Details)
ributzka accepted this revision.Apr 1 2020, 8:49 AM

LGTM

This revision is now accepted and ready to land.Apr 1 2020, 8:49 AM
jhenderson added inline comments.Apr 2 2020, 12:02 AM
llvm/include/llvm/TextAPI/MachO/InterfaceFile.h
336–338

Nit here and below in comments - missing trailing full stops.

350

Nit: too many blank lines

llvm/unittests/TextAPI/TextStubV4Tests.cpp
477

There's a lot of usage of auto in this and the other files, and I'm pretty sure this is stretching LLVM's coding standard on the topic - the type isn't obvious. See https://llvm.org/docs/CodingStandards.html#use-auto-type-deduction-to-make-code-more-readable.

cishida marked 4 inline comments as done.Apr 2 2020, 12:13 PM

the lint corrections will be/have been made in the revision that lands.

llvm/unittests/TextAPI/TextStubV4Tests.cpp
477

got it! I will update these files to update these usages in a separate patch to conform to the standard.

This revision was automatically updated to reflect the committed changes.
cishida marked an inline comment as done.